---
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: vso-system

resources:
  - ../../../base/vso-system

helmCharts:
  - name: vault-secrets-operator
    repo: https://artifactapi.k8s.syd1.au.unkin.net/api/v1/virtual/helm
    version: "1.3.0"
    releaseName: vault-secrets-operator
    namespace: vso-system
    valuesFile: values.yaml

patches:
  - path: patch_vaultauth-remove-namespace.yaml
    target:
      group: secrets.hashicorp.com
      version: v1beta1
      kind: VaultAuth
      name: default
